Kerbal Space Program - Bug #22690

Breaking Ground offers EVA-mandatory contract when EVA is impossible (Astronaut Complex not
upgraded).

05/31/2019 12:48 AM - Dunbaratu

Status: Closed Start date: 05/31/2019
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version: 1.7.2

Version: 1.71 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground

Description

| just got offered a contract in a career in the new DLC, "Breaking Ground", titled:

"Bring Mun Stone back with you".

| have not yet upgraded my astronaut complex in this career, which means | cannot perform the necessary EVA on the Mun to do
this contract. So if | was an inexperienced player who didn't know | have to upgrade the Astronaut Complex to go on EVA, | wouldn't

know this contract is impossible at the moment.

Note, in stock, you don't get flag planting contracts until you upgrade the astronaut complex. This seems like it should be treated the
exact same way - if you don't have the building upgrade the contract requires, it shouldn't be offered yet.

History

#2 - 06/13/2019 04:25 PM - nestor
- Status changed from New to Ready to Test
- Target version setto 1.7.2

- % Done changed from 0 to 80

#3 - 06/14/2019 05:29 AM - Dunbaratu

I've asked this about another issue in the bug tracker and I'll ask it again here because | never saw an answer.

When you update the status to "Ready to Test" does that mean ready for SQUAD to test it, or ready for ME, the person who submitted the report, to
test it? Are you waiting for me to verify if it's fixed and report back to you?

#4 - 06/15/2019 11:38 AM - Dunbaratu
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

| am a user who cannot see inside the black box, so | can never technically prove this is fixed. The scenario where it's genuinely fixed looks identical
to the scenario where it's still broken but the roll of the dice has been lucky to avoid it so far. But | haven't seen this happen again yet after a while of
trying to make it happen, so | guess I'll call it "resolved"?

#5 - 06/17/2019 07:00 PM - chris.fulton

- Status changed from Resolved to Closed
